Package org.apache.sysds.runtime.frame.data.compress

## Class FrameCompressionSettingsBuilder

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.compress.FrameCompressionSettingsBuilder

    public class FrameCompressionSettingsBuilder
    extends Object

### Constructor Summary

Constructors
`FrameCompressionSettingsBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrameCompressionSettings` `create()`
`FrameCompressionSettingsBuilder` `sampleRatio​(float sampleRatio)`
`FrameCompressionSettingsBuilder` `threads​(int k)`
`FrameCompressionSettingsBuilder` `wTreeRoot​(WTreeRoot wt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameCompressionSettingsBuilder

    public FrameCompressionSettingsBuilder()

### Method Detail

#### wTreeRoot

    public FrameCompressionSettingsBuilder wTreeRoot​(WTreeRoot wt)

#### threads

    public FrameCompressionSettingsBuilder threads​(int k)

#### sampleRatio

    public FrameCompressionSettingsBuilder sampleRatio​(float sampleRatio)

#### create

    public FrameCompressionSettings create()